Remove Triggers
curl --request DELETE \
--url https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}/triggers \
--header 'Content-Type: application/json' \
--header 'key: <key>' \
--header 'secret: <secret>' \
--data '
{
"name": "Example User",
"email": "my-email@example.com",
"password": "somePassword#!",
"contactNumber": "+12125550123",
"role": "engineer",
"appName": "Create APP",
"appRegion": "us"
}
'import requests
url = "https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}/triggers"
payload = {
"name": "Example User",
"email": "my-email@example.com",
"password": "somePassword#!",
"contactNumber": "+12125550123",
"role": "engineer",
"appName": "Create APP",
"appRegion": "us"
}
headers = {
"key": "<key>",
"secret": "<secret>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {key: '<key>', secret: '<secret>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example User',
email: 'my-email@example.com',
password: 'somePassword#!',
contactNumber: '+12125550123',
role: 'engineer',
appName: 'Create APP',
appRegion: 'us'
})
};
fetch('https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "Removed trigger successfully."
}
}Webhooks
Remove Triggers
Removes triggers from a webhook in an app.
DELETE
/
apps
/
{appId}
/
webhooks
/
{webhookId}
/
triggers
Remove Triggers
For the complete error reference, see Error Guide.
Headers
Authorization Key
Authorization Secret
The "X-Webhook-Version" header is an optional integer property.When this header is omitted from the request, the system defaults to the legacy webhook, ensuring backward compatibility and seamless operation.Conversely, setting the value of this header to "2" indicates the preference for the new webhook implementation.
Path Parameters
AppID in which the extension has to be enabled/disabled
Id of the webhook
Body
application/json
array of triggerIds.
Response
200 - application/json
Enabled Triggers
Show child attributes
Show child attributes
Was this page helpful?